How to make my PS CS2 compatible with the Apple OS X 10.11. and higher.

I need to upgrade my iMAC operating system so I can operate other products, iPhones, ipads etc. But, when ready to install the new  OS X 10.11. , El Capitan, a pop up stated that this app, PS CS2,  will not run on OS X 10.11.  . How do I maintain my  PS CS2 AND upgrade to a more modern system?
Thank you.
R. D.
Robert DamonAsked:
Who is Participating?
strungConnect With a Mentor Commented:
CS2 applications, including Photoshop, were written for Macs with PowerPC CPUs. OS X 10.11 El Capitan only runs Intel CPU-compatible software, so El Capitan will not allow CS2 to run or install.

CS2 is 11 years old. Time to upgrade.
P.S., I believe the newest OS which will run CS2 is OS10.6.8, and even that requires you to install "Rosetta" software, which is a bit difficult to find, but which I believe can be downloaded here:
What OS are you running now, and what model Mac do you have?
Build your data science skills into a career

Are you ready to take your data science career to the next step, or break into data science? With Springboard’s Data Science Career Track, you’ll master data science topics, have personalized career guidance, weekly calls with a data science expert, and a job guarantee.

If you have your old CD/DVD installer, you might be able to install it onto a VM and run PS CS2 in.
I would think that would be painfully slow - running two operating systems, plus Rosetta, plus Photoshop on what is probably an older machine with limited RAM.
Tim LapinComputer Consultant (Desktop analyst)Commented:
I will echo the question about your existing iMac.  Adobe Creative Suite 2 is indeed very old and it suggests that your iMac is about 8 years old or so, if not older.

If it is from that era and you wish to keep using CS2, I would recommend that you buy a new Mac for all your current generation needs and relegate that Mac to only CS2 and related functions.  Once you've absorbed the cost of the new computer, you can look at upgrading your Creative Suite to a newer version.  Also, do not forget to ask the owners of the software for the license keys.

Speaking of which, please be aware of the fact that Adobe has moved to a subscription based model, called Creative Cloud.  It is a scheme in which you lease the software instead of buying it outright.  If that model does not suit, you can always look for CS6 (or possibly CS 5.x) on the used market from someone who has upgraded to the Cloud subscription service.

Regardless, always check the system requirements before buying.  That goes double for anything of the size and complexity of the Creative Suite.
All of the answers were correct. PS CS2 will NOT run on an OS newer than OS10.6.8.
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.